package com.caliverse.admin.global.common.code;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum SuccessCode {
    SAVE("저장 하였습니다."),
    UPDATE("수정 하였습니다."),
    DELETE("삭제 하였습니다."),
    INIT("비밀번호 초기화 하였습니다."),
    NULL_DATA("조회된 데이터가 없습니다."),
    EXCEL_UPLOAD("파일 업로드 하였습니다."),
    REGISTRATION("등록 하였습니다."),
    ITEM_EXIST("아이템이 존재합니다"),


    //------------------------------------------------------------------------------------------------------------------------------
    // DyanamoDB
    //------------------------------------------------------------------------------------------------------------------------------
    DYNAMODB_ITEM_DELETE_SUCCESS("아이템 삭제에 성공하였습니다."),

    ;

    private final String message;

}
